org.apache.maven.plugins.shade.pom

## Class PomWriter

- java.lang.Object
- - org.apache.maven.plugins.shade.pom.PomWriter

    public class PomWriter
    extends Object

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`PomWriter()`

### Method Summary

Methods
`static void` `write(Writer w, org.apache.maven.model.Model newModel)`
`static void` `write(Writer w, org.apache.maven.model.Model newModel, boolean namespaceDeclaration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PomWriter

    public PomWriter()

### Method Detail

#### write

    public static void write(Writer w,
             org.apache.maven.model.Model newModel)
                      throws IOException

Throws:
  `IOException`

#### write

    public static void write(Writer w,
             org.apache.maven.model.Model newModel,
             boolean namespaceDeclaration)
                      throws IOException

Throws:
  `IOException`